PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::PositionValidator Struct Reference
Collaboration diagram for plask::PositionValidator:
[legend]

## Public Types
typedef std::map< const GeometryObject *, const char * > | GeomToName
typedef std::vector< const GeometryObject * > | Set

## Public Member Functions
| PositionValidator (GeomToName &geom_to_name)
Set & | get (const Geometry *geometry)
void | fill (const GeometryObject *obj, Set &s)
template<typename VectorType >
bool | compare_vec (std::vector< VectorType > v1, std::vector< VectorType > v2)
| Compare two vectors of positions.
template<typename GeomType >
Set | compare_d (const GeomType *geom1, const GeomType *geom2)
| Compare positions of important objects in two geometries of the same type.
Set | compare (const Geometry *g1, const Geometry *g2)

## Public Attributes
GeomToName & | geom_to_name
std::map< const Geometry *, Set > | cache

## Detailed Description

Definition at line 436 of file manager.cpp.

## Member Typedef Documentation

## ◆ GeomToName

typedef std::map<const GeometryObject*, const char*> plask::PositionValidator::GeomToName

Definition at line 437 of file manager.cpp.

## ◆ Set

typedef std::vector<const GeometryObject*> plask::PositionValidator::Set

Definition at line 440 of file manager.cpp.

## Constructor & Destructor Documentation

## ◆ PositionValidator()

plask::PositionValidator::PositionValidator | ( | GeomToName & | geom_to_name | ) |
| inline

Definition at line 446 of file manager.cpp.

## Member Function Documentation

## ◆ compare()

Set plask::PositionValidator::compare | ( | const Geometry * | g1,
|  | const Geometry * | g2
| ) |  |
| inline

Definition at line 519 of file manager.cpp.

## ◆ compare_d()

template<typename GeomType >

Set plask::PositionValidator::compare_d | ( | const GeomType * | geom1,
|  | const GeomType * | geom2
| ) |  |
| inline

Compare positions of important objects in two geometries of the same type.

Parameters

  geom1,geom2 | geometries

Returns
  set of such objects that by mistake have other positions in `geom1` and `geom2`

Definition at line 499 of file manager.cpp.

## ◆ compare_vec()

template<typename VectorType >

bool plask::PositionValidator::compare_vec | ( | std::vector< VectorType > | v1,
|  | std::vector< VectorType > | v2
| ) |  |
| inline

Compare two vectors of positions.

Parameters

  v1,v2 | vectors to compare

Returns
  `true` if there are (probably) no mistakes and `false` in other cases

Definition at line 473 of file manager.cpp.

## ◆ fill()

void plask::PositionValidator::fill | ( | const GeometryObject * | obj,
|  | Set & | s
| ) |  |
| inline

Definition at line 457 of file manager.cpp.

## ◆ get()

Set & plask::PositionValidator::get | ( | const Geometry * | geometry | ) |
| inline

Definition at line 448 of file manager.cpp.

## Member Data Documentation

## ◆ cache

std::map<const Geometry*, Set> plask::PositionValidator::cache

Definition at line 444 of file manager.cpp.

## ◆ geom_to_name

GeomToName& plask::PositionValidator::geom_to_name

Definition at line 442 of file manager.cpp.

The documentation for this struct was generated from the following file:

- plask/manager.cpp